Package com.smartgwt.client.types

# Enum WaitForType

java.lang.Object
java.lang.Enum<WaitForType>
com.smartgwt.client.types.WaitForType

All Implemented Interfaces:
  `ValueEnum`, `Serializable`, `Comparable<WaitForType>`, `Constable`

public enum WaitForType extends Enum<WaitForType> implements ValueEnum

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DURATION`
  wait for a specific amount of time
  `LOCATOR`
  wait for a specific `AutoTestLocator` to become ready.
  `SYSTEMDONE`
  wait for the page to become quiet as reported by `AutoTest.isSystemDone()`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getValue()`
  `static WaitForType`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static WaitForType[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DURATION

    public static final WaitForType DURATION
    wait for a specific amount of time

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "duration".

  - ### SYSTEMDONE

    public static final WaitForType SYSTEMDONE
    wait for the page to become quiet as reported by `AutoTest.isSystemDone()`.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "systemDone".

  - ### LOCATOR

    public static final WaitForType LOCATOR
    wait for a specific `AutoTestLocator` to become ready.

    If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "locator".

- ## Method Details

  - ### values

    public static WaitForType[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static WaitForType valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    public String getValue()
    Specified by:
      `getValue` in interface `ValueEnum`